/**
 * Description: 营销活动业务接口
 * Copyright:   Copyright (c)2017
 * Company:     江苏三六五网络股份有限公司
 *
 * @author: 江苏三六五网络股份有限公司
 * @version: 1.0
 * Create at:   2017-12-05 下午 19:20:59
 * <p>
 * Modification History:
 * Date         Author      Version     Description
 * ------------------------------------------------------------------
 * 2017-12-05   江苏三六五网络股份有限公司   1.0         Initial
 */
package com.house365.ws.service.interfaces;

import com.house365.beans.system.QueryParams;
import com.house365.service.system.Interfaces.Service;
import com.house365.beans.entity.MarketingActivityEntity;

/**
 * 营销活动业务接口<br>
 *
 * @author 江苏三六五网络股份有限公司
 * @version 1.0, 2017-12-05
 * @see
 * @since 1.0
 */
public interface IMarketingActivityService<T extends MarketingActivityEntity> extends Service<T> {

    Integer queryCustomerCountByActive(Integer id);

    Integer queryAllPullCount(QueryParams<?> queryParams);

    void setDisable(Integer id);

    void putOvertimeToOcean();

    void addCallBackCount(Integer id);

    void addWaitVisitCount(Integer id);

    void addBughtCount(Integer id);

    void putOvertimeWaitCallToOcean();
}
